std::locale::facet Class Reference
Locales
Inheritance diagram for std::locale::facet:
[legend]

## Protected Member Functions

| facet (const facet &)=delete
| facet (size_t __refs=0) throw ()
virtual | ~facet ()
facet & | operator= (const facet &)=delete

## Static Protected Member Functions

static __c_locale | _S_clone_c_locale (__c_locale &__cloc) throw ()
static void | _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void | _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale | _S_get_c_locale ()
static const char * | _S_get_c_name () throw ()
static __c_locale | _S_lc_ctype_c_locale (__c_locale __cloc, const char *__s)

## Friends

class | locale
class | locale::_Impl

## Detailed Description

Localization functionality base class.

The facet class is the base class for a localization feature, such as money, time, and number printing. It provides common support for facets and reference management.

Facets may not be copied or assigned.

Definition at line 371 of file locale_classes.h.

## Constructor & Destructor Documentation

## facet()

std::locale::facet::facet | ( | size_t | __refs = `0` | ) |
throw | ( |
| ) |  |

inline explicit protected

Facet constructor.

This is the constructor provided by the standard. If refs is 0, the facet is destroyed when the last referencing locale is destroyed. Otherwise the facet will never be destroyed.

Parameters

  __refs | The initial value for reference count.

Definition at line 403 of file locale_classes.h.

## ~facet()

virtual std::locale::facet::~facet | ( |  | ) |

protected virtual

Facet destructor.

The documentation for this class was generated from the following file:

- locale_classes.h